;              
CREATE USER IF NOT EXISTS "SA" SALT '9996a2be480fc885' HASH '9b8e64ed74cc3b100b93ab63e3eb27dc459f5cd1869fbb2a780d57af3d7d2d21' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."ATTRIBUTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(256),
    "VALUE" VARCHAR(2048)
);           
ALTER TABLE "PUBLIC"."ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");     
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
INSERT INTO "PUBLIC"."ATTRIBUTE" VALUES
(1, '2021-11-16 21:40:43', '2021-11-16 21:40:44', 'sourd', STRINGDECODE('<p>\n      sourd\n    </p>'), '', '', '1', '1'),
(2, '2021-11-16 21:41:45', '2021-11-16 21:41:49', STRINGDECODE('f\u00eatard'), STRINGDECODE('<p>\n      f&#234;tard\n    </p>'), '', '', '2', '2');          
CREATE CACHED TABLE "PUBLIC"."CATEGORY"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "SORT" INTEGER,
    "CATEGORY_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");      
-- 3 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO "PUBLIC"."CATEGORY" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Personnage principal', '', '', '', 1, NULL),
(2, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Personnage secondaire', '', '', '', 2, NULL),
(3, '2021-11-16 21:44:06', '2021-11-16 21:44:08', 'Zombie', STRINGDECODE('<p>\n      Zombie\n    </p>'), '', '', 3, NULL);             
CREATE CACHED TABLE "PUBLIC"."CHAPTER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "PART_ID" BIGINT,
    "CHAPTERNO" INTEGER,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");       
-- 12 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER; 
INSERT INTO "PUBLIC"."CHAPTER" VALUES
(1, '2021-11-13 16:27:58', '2021-11-16 21:32:09', STRINGDECODE('S\u00e9lectionner le bouton \u00e0 montrer'), '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), STRINGDECODE('S\u00e9lectionner le bouton \u00e0 montrer'), 1, 4, TIMESTAMP '2021-11-13 16:27:58.942', NULL, NULL, 0),
(2, '2021-11-13 16:41:35', '2021-11-16 21:32:09', 'Divers', STRINGDECODE('<p>\n      Cr&#233;ation d''un lieu\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Divers', 1, 5, TIMESTAMP '2021-11-13 16:41:35.963', NULL, NULL, 0),
(3, '2021-11-13 16:42:55', '2021-11-16 21:32:08', 'Exportation', STRINGDECODE('<p>\n      Exportation\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Exportation', 1, 6, TIMESTAMP '2021-11-13 16:42:55.185', NULL, NULL, 0),
(4, '2021-11-13 16:44:38', '2021-11-16 21:32:08', 'Importation', STRINGDECODE('<p>\n      Importer\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Importation', 1, 7, TIMESTAMP '2021-11-13 16:44:38.903', NULL, NULL, 0),
(5, '2021-11-13 16:46:48', '2021-11-16 21:32:07', 'vues', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'vues', 1, 8, TIMESTAMP '2021-11-13 16:46:48.755', NULL, NULL, 0),
(6, '2021-11-13 16:51:44', '2021-11-16 21:32:06', 'Propositions', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Propositions', 1, 9, TIMESTAMP '2021-11-13 16:51:44.235', NULL, NULL, 0),
(7, '2021-11-13 17:08:40', '2021-11-16 21:32:05', STRINGDECODE('Bugs \u00e9ventuels ?'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), STRINGDECODE('Bugs \u00e9ventuels ?'), 1, 10, TIMESTAMP '2021-11-13 17:08:40.317', NULL, NULL, 0),
(8, '2021-11-16 08:29:55', '2021-11-16 21:32:15', 'Version', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Version', 1, 1, TIMESTAMP '2021-11-16 08:29:55.967', NULL, NULL, 0),
(10, '2021-11-16 21:31:46', '2021-11-16 21:32:15', 'Attributs des tables', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Attributs des tables', 1, 2, TIMESTAMP '2021-11-16 21:31:46.222', NULL, NULL, 0),
(11, '2021-11-17 09:53:32', '2021-11-17 09:53:33', STRINGDECODE('Enregistrer les pr\u00e9f\u00e9rences'), '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), STRINGDECODE('Enregistrer les pr\u00e9f\u00e9rences'), NULL, 11, TIMESTAMP '2021-11-17 09:53:32.354', NULL, NULL, 0),
(12, '2021-11-20 08:24:25', '2021-11-20 08:24:26', STRINGDECODE('Propri\u00e9t\u00e9s du fichier'), STRINGDECODE('<p>\n      Propri&#233;t&#233;s du fichier\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), STRINGDECODE('Propri\u00e9t\u00e9s du fichier'), 1, 12, TIMESTAMP '2021-11-20 08:24:25.531', NULL, NULL, 0),
(13, '2021-11-20 09:39:04', '2021-11-20 09:39:06', 'Tri ', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Tri ', NULL, 13, TIMESTAMP '2021-11-20 09:39:04.865', NULL, NULL, 0);     
CREATE CACHED TABLE "PUBLIC"."ENDNOTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "SCENE_ID" BIGINT
);          
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
CREATE CACHED TABLE "PUBLIC"."GENDER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHILDHOOD" INTEGER NOT NULL,
    "ADOLESCENCE" INTEGER NOT NULL,
    "ADULTHOOD" INTEGER NOT NULL,
    "RETIREMENT" INTEGER NOT NULL,
    "ICONE" VARCHAR(256)
);            
ALTER TABLE "PUBLIC"."GENDER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO "PUBLIC"."GENDER" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Homme', '', '', '', 6, 12, 18, 65, NULL),
(2, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Femme', '', '', '', 6, 12, 18, 65, NULL); 
CREATE CACHED TABLE "PUBLIC"."IDEAS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "STATUS" INTEGER,
    "CATEGORY" VARCHAR(256)
);               
ALTER TABLE "PUBLIC"."IDEAS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
INSERT INTO "PUBLIC"."IDEAS" VALUES
(1, '2021-11-16 22:08:35', '2021-11-16 22:08:44', STRINGDECODE('tr\u00e9sor'), '', STRINGDECODE('<p>\n      tr&#233;sor\n    </p>'), '', 0, ''),
(2, '2021-11-16 22:09:02', '2021-11-16 22:09:02', 'banane', '', STRINGDECODE('<p>\n      banane\n    </p>'), '', 0, '');  
CREATE CACHED TABLE "PUBLIC"."INTERNAL"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(512),
    "STRING_VALUE" VARCHAR(4096),
    "INTEGER_VALUE" INTEGER,
    "BOOLEAN_VALUE" BOOLEAN,
    "BINVALUE" BINARY(16384)
);             
ALTER TABLE "PUBLIC"."INTERNAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_50" PRIMARY KEY("ID");     
-- 44 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(1, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookCreationDate', '', 0, FALSE, NULL),
(2, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookUpdate', '2021-11-13 16:27:58', 0, FALSE, NULL),
(3, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Title', 'Tests -Bernard', 0, FALSE, NULL),
(4, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'SubTitle', '', 0, FALSE, NULL),
(5, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Author', 'BM', 0, FALSE, NULL),
(6, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Copyright', '', 0, FALSE, NULL),
(7, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Blurb', '', 0, FALSE, NULL),
(8, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Notes', '', 0, FALSE, NULL),
(9, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Assistant', '', 0, FALSE, NULL),
(10, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Polti', '0', 0, FALSE, NULL),
(11, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Step', '0', 0, FALSE, NULL),
(12, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Scenario', '0', 0, FALSE, NULL),
(13, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Markdown', '0', 0, FALSE, NULL),
(14, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ISBN', '', 0, FALSE, NULL),
(15, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'UUID', '', 0, FALSE, NULL),
(16, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Language', '', 0, FALSE, NULL),
(17, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupDir', '', 0, FALSE, NULL),
(18, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupAuto', '0', 0, FALSE, NULL),
(19, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupIncrement', '0', 0, FALSE, NULL),
(20, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorModless', '1', 0, FALSE, NULL),
(21, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorUse', '1', 0, FALSE, NULL),
(22, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorName', 'libreoffice', 0, FALSE, NULL),
(23, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorExtension', 'odt', 0, FALSE, NULL),
(24, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorTemplate', '/home/bernard/ostorybook/Modele.odt', 0, FALSE, NULL),
(25, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportDirectory', '/home/bernard/ostorybook', 0, FALSE, NULL),
(26, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportChapterBookTitle', '0', 0, FALSE, NULL),
(27, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportChapterBreakpage', '0', 0, FALSE, NULL),
(28, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportCsvSeparator', '10', 0, FALSE, NULL),
(29, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlCss', '', 0, FALSE, NULL),
(30, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlNav', '0', 0, FALSE, NULL),
(31, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlNavImage', '0', 0, FALSE, NULL),
(32, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlMulti', '0', 0, FALSE, NULL),
(33, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportPdfSize', '', 0, FALSE, NULL),
(34, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportPdfLandscape', '0', 0, FALSE, NULL),
(35, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ImportDirectory', '', 0, FALSE, NULL),
(36, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ImportFile', '', 0, FALSE, NULL),
(37, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookLayout', '000001001', 0, FALSE, NULL),
(38, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'SceneSeparator', '---', 0, FALSE, NULL),
(39, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'UseCalendar', '', 0, FALSE, NULL);             
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(40, '2021-11-13 16:27:48', '2021-11-13 16:27:48', '', '', '', '', 'EpubCover', '1', 0, FALSE, NULL),
(41, '2021-11-13 16:27:58', '2021-11-13 16:27:58', '', '', '', '', 'Stage', '0', 0, FALSE, NULL),
(42, '2021-11-13 16:29:11', '2021-11-13 16:29:11', '', '', '', '', 'TypistUse', '0', 0, FALSE, NULL),
(43, '2021-11-13 16:29:12', '2021-11-13 16:29:12', '', '', '', '', 'TypistShowInfo', '0', 0, FALSE, NULL),
(44, '2021-11-17 09:34:22', '2021-11-17 09:34:22', '', '', '', '', 'MemosView', '', 0, FALSE, NULL);           
CREATE CACHED TABLE "PUBLIC"."LOCATION"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ADDRESS" VARCHAR(256),
    "CITY" VARCHAR(256),
    "COUNTRY" VARCHAR(256),
    "ALTITUDE" INTEGER,
    "GPS" VARCHAR(256),
    "LOCATION_ID" BIGINT
);    
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
INSERT INTO "PUBLIC"."LOCATION" VALUES
(1, '2021-11-16 22:28:44', '2021-11-16 22:28:45', 'Port', STRINGDECODE('<p>\n      port\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '', '', '', NULL, '', NULL),
(2, '2021-11-16 22:29:03', '2021-11-16 22:29:04', 'Piscine', STRINGDECODE('<p>\n      piscine\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '', '', '', NULL, '', NULL);   
CREATE CACHED TABLE "PUBLIC"."PART"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER,
    "PART_ID" BIGINT,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");          
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO "PUBLIC"."PART" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2021-11-13 16:27:58.94', NULL, NULL, 0);      
CREATE CACHED TABLE "PUBLIC"."PERSON"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "GENDER_ID" BIGINT,
    "FIRSTNAME" VARCHAR(256),
    "LASTNAME" VARCHAR(256),
    "ABBREVIATION" VARCHAR(256),
    "BIRTHDAY" TIMESTAMP,
    "DAYOFDEATH" TIMESTAMP,
    "OCCUPATION" VARCHAR(256),
    "COLOR" INTEGER,
    "CATEGORY_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
INSERT INTO "PUBLIC"."PERSON" VALUES
(1, '2021-11-16 22:11:31', '2021-11-16 22:11:33', 'Luc Hage', STRINGDECODE('<p>\n      homme \n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 2, 'Luc', 'Hage', 'LuHag', NULL, NULL, '', -16777216, 1),
(2, '2021-11-16 22:11:58', '2021-11-16 22:11:59', 'Lea HUn', STRINGDECODE('<p>\n      Femme \n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 2, 'Lea', 'HUn', 'LeHUn', NULL, NULL, '', -16777216, 1);       
CREATE CACHED TABLE "PUBLIC"."PLOT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."PLOT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("ID");         
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
INSERT INTO "PUBLIC"."PLOT" VALUES
(1, '2021-11-16 22:30:21', '2021-11-16 22:30:29', 'boxe', STRINGDECODE('<p>\n      boxe\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'sport'),
(2, '2021-11-16 22:30:43', '2021-11-16 22:30:44', 'tir', STRINGDECODE('<p>\n      tir\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '');          
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "PERSON1_ID" BIGINT,
    "PERSON2_ID" BIGINT,
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE "PUBLIC"."SCENE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHAPTER_ID" BIGINT,
    "STRAND_ID" BIGINT,
    "SCENENO" INTEGER,
    "SCENE_TS" TIMESTAMP,
    "TITLE" VARCHAR(2048),
    "SUMMARY" VARCHAR(32768),
    "STATUS" INTEGER,
    "DURATION" VARCHAR(255),
    "RELATIVE_DATE_DIFFERENCE" INTEGER,
    "RELATIVE_TIME" VARCHAR(255),
    "RELATIVE_SCENE_ID" BIGINT,
    "INFORMATIVE" BOOLEAN,
    "SCENARIO_PITCH" VARCHAR(1024),
    "SCENARIO_STAGE" INTEGER,
    "SCENARIO_START" INTEGER,
    "SCENARIO_END" INTEGER,
    "SCENARIO_MOMENT" INTEGER,
    "SCENARIO_LOC" INTEGER,
    "ODF" VARCHAR(256),
    "NARRATOR_ID" BIGINT
);      
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");        
-- 30 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO "PUBLIC"."SCENE" VALUES
(1, '2021-11-13 16:27:58', '2021-11-19 19:38:43', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 2, TIMESTAMP '2021-11-13 16:27:58.943', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut'), STRINGDECODE('<p>\n      &quot;S&#233;lectionner le bouton &#224; montrer&quot;\n    </p>\n    <p>\n      Tr&#232;s pertinent mais manque &quot;R&#233;tablir la disposition Boutons par d&#233;faut&quot; \n      ( &#224; cr&#233;er, un peu sur le mod&#232;le de &quot;Fen&#234;tres - Disposition pr&#233;&#233;tablie&quot;.) \n      Suite &#224; un essai, j''ai supprim&#233; tous les boutons except&#233; &quot;Frise \n      chronologique&quot;. Cr&#233;er un nouveau menu prend un peu de temps m&#234;me si cela \n      permet de s&#233;lectionner les ic&#244;nes dont on a vraiment besoin ! ( les \n      infobulles indiquant le nom des ic&#244;nes, bien vu !)\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Chapitre01-Sc\u00e8ne01.ods'), NULL),
(2, '2021-11-13 16:40:03', '2021-11-19 19:38:32', STRINGDECODE(' La modification du menu \"S\u00e9lectionner le bouton \u00e0 montrer\" plante la machine'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 3, NULL, STRINGDECODE(' La modification du menu \"S\u00e9lectionner le bouton \u00e0 montrer\" plante la machine'), STRINGDECODE('<p>\n      La modification du menu &quot;S&#233;lectionner le bouton &#224; montrer&quot; plante la \n      machine\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Assistant from default \n      /home/bernard/ostorybook/./Assistant/Assistant_fr.properties\n    </p>\n    <p>\n      query test OK\n    </p>\n    <p>\n      Exception in thread &quot;AWT-EventQueue-0&quot; java.lang.OutOfMemoryError: Java \n      heap space\n    </p>\n    <p>\n      at \n      org.miginfocom.layout.ConstraintParser.parseComponentConstraint(ConstraintParser.java:460)\n    </p>\n    <p>\n      at \n      org.miginfocom.swing.MigLayout.setComponentConstraintsImpl(MigLayout.java:318)\n    </p>\n    <p>\n      at org.miginfocom.swing.MigLayout.addLayoutComponent(MigLayout.java:657)\n    </p>\n    <p>\n      at java.desktop/java.awt.Container.addImpl(Container.java:1152)\n    </p>\n    <p>\n      at java.desktop/java.awt.Container.add(Container.java:997)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.setLabelTo(TimelineScale.java:210)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.initUi(TimelineScale.java:149)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.initAll(TimelineScale.java:57)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.&lt;init&gt;(TimelineScale.java:52)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.setScale(TimelinePanel.java:304)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.refresh(TimelinePanel.java:196)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.initUi(TimelinePanel.java:109)\n    </p>\n    <p>\n      at storybook.ui.panel.AbstractPanel.initAll(AbstractPanel.java:76)\n    </p>\n    <p>\n      at storybook.ui.SbViewFactory.loadView(SbViewFactory.java:532)\n    </p>\n    <p>\n      at \n      storybook.ui.MainFrame$MainDockingWindowAdapter.windowAdded(MainFrame.java:911)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.fireWindowAdded(DockingWindow.java:1172)\n    </p>\n    <p>\n      at net.infonode.docking.DockingWindow.addWindow(DockingWindow.java:1634)\n    </p>\n    <p>\n      at \n      net.infonode.docking.AbstractTabWindow.addTabNoSelect(AbstractTabWindow.java:345)\n    </p>\n    <p>\n      at net.infonode.docking.TabWindow.addTabNoSelect(TabWindow.java:229)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.getContainer(DockingWindow.java:2101)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.lambda$restoreItem$8(DockingWindow.java:2060)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow$$Lambda$399/0x000000084061fc40.run(Unknown \n      Source)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.lambda$optimizeAfter$5(DockingWindow.java:1544)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow$$Lambda$346/0x00000008404bf440.run(Unknown \n      Source)\n    </p>\n    <p>\n      at net.infonode.docking.FocusManager.pinFocus(FocusManager.java:109)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.optimizeAfter(DockingWindow.java:1540)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.restoreItem(DockingWindow.java:2039)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.restoreViews(DockingWindow.java:1953)\n    </p>\n    <p>\n      at net.infonode.docking.DockingWindow.restore(DockingWindow.java:448)\n    </p>\n    <p>\n      at storybook.ui.MainFrame.showAndFocus(MainFrame.java:515)\n    </p>\n    <p>\n      at storybook.ui.MainMenu.lambda$initTbView$30(MainMenu.java:392)\n    </p>\n    <p>\n      at \n      storybook.ui.MainMenu$$Lambda$174/0x0000000840278440.actionPerformed(Unknown \n      Source)\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL);    
INSERT INTO "PUBLIC"."SCENE" VALUES
(3, '2021-11-13 16:42:23', '2021-11-19 19:38:04', STRINGDECODE('Cr\u00e9ation d''un lieu'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 2, 1, 3, NULL, STRINGDECODE('Cr\u00e9ation d''un lieu'), STRINGDECODE('<p>\n      Nom = ok\n    </p>\n    <p>\n      O&#249; = bug ? cr&#233;ation impossible\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(5, '2021-11-13 16:45:55', '2021-11-19 19:37:18', 'Importer fichier / document', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 4, 1, 5, NULL, 'Importer fichier / document', STRINGDECODE('<p>\n      Importer fichier pour cr&#233;er une nouvelle sc&#232;ne ? (fichier texte existant \n      .txt, .odt ,.doxs etc &#224; int&#233;grer dans une nouvelle sc&#232;ne pour &#233;viter un \n      copier-coller.)\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Importer un document --&gt; cr&#233;er nouveau projet\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      exporter ( en cliquant sur l''onglet) pas de r&#233;ponse\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Chapitre07-Sc\u00e8ne05.ods'), NULL),
(6, '2021-11-13 16:47:26', '2021-11-20 10:03:05', 'liste des taches', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 5, 1, 6, NULL, 'liste des taches', STRINGDECODE('<p>\n      Vue &quot;liste des taches&quot; inop&#233;rant\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(7, '2021-11-13 16:48:23', '2021-11-19 19:37:59', STRINGDECODE('Sc\u00e8nes, nombre de mots'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 2, 1, 7, NULL, STRINGDECODE('Sc\u00e8nes, nombre de mots'), STRINGDECODE('<p>\n      Sc&#232;nes, nombre de mots\n    </p>\n    <p>\n      : champ &quot;accessible&quot; --&gt; pas n&#233;cessaire car non modifiable\n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(8, '2021-11-13 16:56:34', '2021-11-20 11:14:57', STRINGDECODE('S\u00e9lectionner plusieurs sc\u00e8nes en m\u00eame temps'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 6, 1, 8, NULL, STRINGDECODE('S\u00e9lectionner plusieurs sc\u00e8nes en m\u00eame temps'), STRINGDECODE('<h2>\n      \n    </h2>\n    <p>\n      Objectif : modifier un attribut (par ex., Etat) pour attribuer la m&#234;me \n      valeur ( Brouillon) simultan&#233;ment &#224; diff&#233;rentes sc&#232;nes\n    </p>\n    <p>\n      Peut &#234;tre utile quand on estime que le texte &#233;crit consid&#233;r&#233; comme \n      &quot;Termin&#233;&quot; n''est pas satisfaisant.\n    </p>'), 2, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(9, '2021-11-13 17:03:03', '2021-11-20 10:03:37', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut (cf \"S\u00e9lectionner le bouton \u00e0 montrer\")'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 6, 1, 9, NULL, STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut (cf \"S\u00e9lectionner le bouton \u00e0 montrer\")'), STRINGDECODE('<p>\n      Tr&#232;s pertinent mais manque &quot;R&#233;tablir la disposition Boutons par d&#233;faut&quot; \n      ( &#224; cr&#233;er, un peu sur le mod&#232;le de &quot;Fen&#234;tres - Disposition pr&#233;&#233;tablie&quot;.)\n    </p>\n    <p>\n      Suite &#224; un essai, j''ai supprim&#233; tous les boutons except&#233; &quot;Frise \n      chronologique&quot;. Cr&#233;er un nouveau menu prend un peu de temps m&#234;me si cela \n      permet de s&#233;lectionner les ic&#244;nes dont on a vraiment besoin !\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      ( les infobulles indiquant le nom des ic&#244;nes, bien vu !)\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Chapitre09-Sc\u00e8ne09.odt'), NULL),
(10, '2021-11-13 17:10:22', '2021-11-20 11:09:54', STRINGDECODE('Fen\u00eatre - Enregistrer la disposition '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 2, 10, NULL, STRINGDECODE('Fen\u00eatre - Enregistrer la disposition '), STRINGDECODE('<p>\n      Apr&#232;s configuration d''une nouvelle disposition, impossible de la fermer \n      la fen&#234;tre. Je sors du programme en fermant la console.\n    </p>'), 2, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);      
INSERT INTO "PUBLIC"."SCENE" VALUES
(11, '2021-11-13 22:59:51', '2021-11-19 19:38:22', STRINGDECODE('Lien ic\u00f4ne \"Vue gestion\"'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 4, NULL, STRINGDECODE('Lien ic\u00f4ne \"Vue gestion\"'), STRINGDECODE('<p>\n      Cela active la vue &quot;Lecture&quot;\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/LienIc\u00f4ne\"VueGestion\".odt'), NULL),
(12, '2021-11-13 23:02:13', '2021-11-19 19:38:14', 'Vue "Frise chronologique"', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 5, NULL, 'Vue "Frise chronologique"', STRINGDECODE('<p>\n      Impossible de supprimer l''ic&#244;ne\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(13, '2021-11-13 23:16:02', '2021-11-20 09:51:37', 'Version  ', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 8, 1, 1, NULL, 'Version  ', STRINGDECODE('<p>\n      Version utilis&#233;e\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      oStorybook-5.05.05.zip 2021-Nov-19 16:56:50 17.9M\n    </p>\n    <p>\n      <img src=\"file:///home/bernard/apps/ostory_05alpha/version.png\" width=\"188\" height=\"52\">\n      &#160;\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, ' ', NULL),
(14, '2021-11-13 23:28:51', '2021-11-20 11:10:39', STRINGDECODE('Cr\u00e9er une couverture'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 1, 14, NULL, STRINGDECODE('Cr\u00e9er une couverture'), STRINGDECODE('<p>\n      Ne garde pas en m&#233;moire le choix effectu&#233; lors d''une m&#234;me session\n    </p>\n    <p>\n      La couverture s&#233;lectionn&#233;e n''est pas enregistr&#233;e et reste invisible\n    </p>'), 2, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(15, '2021-11-15 17:33:48', '2021-11-19 19:37:54', 'Exportation ', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 15, NULL, 'Exportation ', STRINGDECODE('<p>\n      .html = ok\n    </p>\n    <p>\n      .epub = ok\n    </p>\n    <p>\n      .docx = ok\n    </p>\n    <p>\n      .odt = ok\n    </p>\n    <p>\n      .txt = fichier non g&#233;n&#233;r&#233;\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(16, '2021-11-15 17:46:19', '2021-11-20 10:03:58', STRINGDECODE('Num\u00e9rotation des sc\u00e8nes '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 1, 16, NULL, STRINGDECODE('Num\u00e9rotation des sc\u00e8nes '), STRINGDECODE('<p>\n      Tri par id ou n&#176; = ordre non respect&#233;\n    </p>\n    <p>\n      1\n    </p>\n    <p>\n      10\n    </p>\n    <p>\n      11\n    </p>\n    <p>\n      12\n    </p>\n    <p>\n      2\n    </p>\n    <p>\n      3\n    </p>\n    <p>\n      etc\n    </p>'), 2, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(17, '2021-11-16 10:00:41', '2021-11-19 19:39:02', STRINGDECODE('Caract\u00e9ristiques des tables '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 10, 1, 17, NULL, STRINGDECODE('Caract\u00e9ristiques des tables '), STRINGDECODE('<p>\n      Le format obtenu apr&#232;s suppression de colonnes n''est pas enregistr&#233;, \n      tous les champs r&#233;apparaissent &#224; la prochaine ouverture.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      evenements = non\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <ul>\n      <li>\n        Fils ok\n      </li>\n      <li>\n        Sc&#232;nes ok\n      </li>\n    </ul>\n    <ul>\n      <li>\n        id&#233;es ok\n      </li>\n      <li>\n        personnages ok\n      </li>\n      <li>\n        actions ok\n      </li>\n    </ul>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(19, '2021-11-17 09:52:03', '2021-11-20 11:16:09', 'Dactylo', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 11, 1, 19, NULL, 'Dactylo', STRINGDECODE('<p>\n      Ecriture\n    </p>\n    <p>\n      Quand on fait un retour chariot, la police s&#233;lectionn&#233;e dispara&#238;t au \n      profit de &quot;default&quot;. Cependant, &quot;Default&quot; dispara&#238;t au premier caract&#232;re \n      &#233;crit et la police s&#233;lectionn&#233;e est utilis&#233;e.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      <font face=\"Liberation Serif\" size=\"5\">Essai avec Liberation Serif</font>\n    </p>\n    <p>\n      <font face=\"Liberation Serif\" size=\"5\">retour chariot = reprend la \n      derni&#232;re police utilis&#233;e bien que &quot;Default&quot; soit affich&#233; ( dispara&#238;t au \n      premier caract&#232;re)</font>\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Si on saute une ligne, la police par d&#233;faut est &#224; nouveau active.\n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '/home/bernard/ostorybook/Dactylo.odt', NULL);     
INSERT INTO "PUBLIC"."SCENE" VALUES
(20, '2021-11-17 19:28:04', '2021-11-19 19:37:30', 'pour_exportation', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 20, NULL, 'pour_exportation', STRINGDECODE('<p>\n      \n    </p>\n    <h1>\n      Le titre 1 est interpr&#233;t&#233; par oStorybook comme le titre <em>d&#8217;une \n      partie</em>\n    </h1>\n    <p>\n      Les titres de niveau 1 sont interpr&#233;t&#233;s comme des titres de parties.\n    </p>\n    <p>\n      Le texte d''une sc&#232;ne, dont la longueur est sup&#233;rieur &#224; 30000 caract&#232;res, \n      soit environ une dizaine de pages, sera &quot;d&#233;coup&#233;&quot; en autant de sc&#232;ne que \n      n&#233;cessaire. Pour parcourir toutes les caract&#233;ristiques essentielles \n      composez un texte qui comporte diff&#233;rents &#233;l&#233;ments tels que: gras, \n      italique, soulign&#233;, liste &#224; puce, liste &#224; num&#233;ro. Il n''est pas \n      n&#233;cessaire, dans votre mod&#232;le, d''avoir plusieurs sc&#232;nes, ou paragraphe.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Vous trouverez en t&#233;l&#233;chargement un fichier mod&#232;le pour Word et un autre \n      pour Writer, mais vous pouvez fabriquer le v&#244;tre tout &#224; fait librement.\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Les titres de <em>niveau 2</em> sont interpr&#233;t&#233;s comme des titres d<em>e \n      chapitres</em>\n    </h2>\n    <p>\n      Les titres de niveau 2 sont interpr&#233;t&#233;s comme des titres de chapitres\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <h3>\n      Les titres de <em>niveau 3 </em>sont interpr&#233;t&#233;s comme des titres de <em>sc&#232;nes</em>.\n    </h3>\n    <p>\n      Les titres de niveau 3 sont interpr&#233;t&#233;s comme des titres de sc&#232;nes.\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Chapitre0-Sc\u00e8ne20.odt'), NULL),
(22, '2021-11-18 09:53:27', '2021-11-20 10:04:03', STRINGDECODE('enregistrement  d''une sc\u00e8ne '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 1, 22, TIMESTAMP '2021-11-18 00:00:00.034', STRINGDECODE('enregistrement  d''une sc\u00e8ne '), STRINGDECODE('<p>\n      J''ai cr&#233;&#233; une sc&#232;ne. L''enregistrement a pris un temps consid&#233;rable.\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/EnregistrementD''uneSc\u00e8ne.odt'), NULL),
(23, '2021-11-18 16:36:59', '2021-11-20 10:03:52', STRINGDECODE('sc\u00e8ne import\u00e9e de Writer '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 6, 1, 23, NULL, STRINGDECODE('sc\u00e8ne import\u00e9e de Writer '), STRINGDECODE('<h2>\n      La lettre de pr&#233;sentation\n    </h2>\n    <p>\n      Cette lettre servira &#224; vous mettre en valeur si vous avez de \n      l&#8217;exp&#233;rience dans le milieu. Vous y expliquerez, en quelques lignes \n      simples, votre formation (si elle a rapport avec la litt&#233;rature) et \n      votre exp&#233;rience dans le milieu de l&#8217;&#233;criture. S&#8217;ensuivra une br&#232;ve \n      description du livre (genre, th&#232;mes abord&#233;s, pourquoi vous l&#8217;avez &#233;crit, \n      etc.).\n    </p>\n    <p>\n      Un bonus&#160;: vous pouvez pr&#233;ciser pourquoi vous envoyez ce manuscrit&#160;<b>sp&#233;cifiquement&#160;</b>&#224; \n      cette maison d&#8217;&#233;dition. Personnellement, je doute fort qu&#8217;une lettre de \n      pr&#233;sentation puisse vraiment vous aider. Une bonne lettre ne pardonnera \n      jamais pour un mauvais livre. Par contre, l&#8217;inverse est vrai&#160;: une \n      mauvaise lettre de pr&#233;sentation peut vous nuire.\n    </p>\n    <p>\n      Quand un &#233;diteur demande une lettre de pr&#233;sentation, c&#8217;est souvent parce \n      qu&#8217;il pr&#233;f&#232;re certains genres ou styles &#224; d&#8217;autres.<b> \n      Avec cette lettre, l&#8217;&#233;diteur s&#8217;assurera que votre manuscrit cadrera dans \n      ses styles de pr&#233;dilection sans qu&#8217;il ait besoin d&#8217;ouvrir votre \n      manuscrit.</b>\n    </p>\n    <p>\n      Vous devez donc faire en sorte que cette lettre ne vous nuise pas.<b> La \n      meilleure solution pour y parvenir&#160;: vous informer sur l&#8217;&#233;diteur, ses \n      publications, et s&#8217;assurer que votre livre s&#8217;agencera bien avec leur \n      collection. Si vous croyez que votre histoire y trouvera sa place, \n      expliquez ce raisonnement dans votre lettre.</b>\n    </p>\n    <h3>\n      Pi&#232;ges &#224; &#233;viter\n    </h3>\n    <p>\n      Dans votre lettre de pr&#233;sentation, &#233;vitez ces erreurs&#160;:\n    </p>\n    <ul>\n      <li>\n        trop parler de vous ou de votre d&#233;marche (ex.&#160;: &#171;&#160;J&#8217;ai pass&#233; 38 nuits \n        blanches &#224; &#233;crire parce que c&#8217;est ma PASSION et mon livre est bon bon \n        BON&#160;BON!!!&#160;&#187;);\n      </li>\n      <li>\n        les commentaires qui n&#8217;ont aucune valeur critique (ex.&#160;: &#171;&#160;Mon \n        meilleur ami a trouv&#233; que c&#8217;&#233;tait&#160;g&#233;nial!&#160;&#187;);\n      </li>\n      <li>\n        les commentaires du genre \n        je-me-tire-une-balle-dans-le-pied-en-commen&#231;ant (ex.&#160;: &#171;&#160;Je sais que \n        mon manuscrit n&#8217;est pas encore au point, mais&#8230;&#160;&#187;);\n      </li>\n      <li>\n        les supplications qui vous feront passer pour une larve (ex.&#160;: &#171;&#160;Vous \n        DEVEZ me publier! C&#8217;est toute ma vie qui est en jeu!&#160;&#187;).\n      </li>\n    </ul>\n    <p>\n      Encore une fois, jouez le jeu et montrez que vous avec du \n      professionnalisme. Retenez ceci&#160;: une lettre qui d&#233;gage de la confiance \n      sera beaucoup plus agr&#233;able &#224; lire qu&#8217;une lettre qui d&#233;gage du d&#233;sespoir.\n    </p>\n    <h2>\n      Le synopsis\n    </h2>\n    <p>\n      Personnellement, j&#8217;ai toujours &#233;t&#233; nul avec les r&#233;sum&#233;s et les synopsis. \n      Je me vois mal vous conseiller sur les techniques de r&#233;daction de \n      ceux-ci.\n    </p>\n    <p>\n      Je peux toutefois vous dire que le synopsis de votre histoire est soumis \n      &#224; la m&#234;me r&#232;gle que la lettre de pr&#233;sentation. Elle ne peut pas vraiment \n      vous aider, mais peut vous nuire.\n    </p>\n    <p>\n      Vous n&#8217;&#234;tes pas d&#8217;accord?\n    </p>\n    <p>\n      S&#233;rieusement, pensez-y. Un bon r&#233;sum&#233; peut tr&#232;s bien repr&#233;senter un \n      r&#233;cit terriblement mal &#233;crit, tandis qu&#8217;un mauvais r&#233;sum&#233; peut faire \n      mauvaise figure &#224; une histoire g&#233;niale. Au fond, tout est dans la \n      mani&#232;re d&#8217;&#233;crire.\n    </p>\n    <p>\n      Votre but est d&#8217;atteindre le comit&#233; de lecture d&#8217;une maison d&#8217;&#233;dition. \n      Un synopsis mal &#233;crit ou qui cible mal sa maison d&#8217;&#233;dition peut vous \n      emp&#234;cher d&#8217;atteindre cette &#233;tape. Une fois que votre r&#233;cit aura atteint \n      le comit&#233; de lecture, le synopsis sera probablement &#233;lagu&#233; (car, apr&#232;s \n      tout, pour &#234;tre en mesure d&#8217;&#233;valuer une histoire, il me semble qu&#8217;un \n      lecteur ne doit pas connaitre le &#171;&#160;punch&#160;&#187; final).\n    </p>\n    <p>\n      Proc&#233;dez de la m&#234;me mani&#232;re qu&#8217;avec la lettre de pr&#233;sentation. Faites \n      des recherches sur votre &#233;diteur et r&#233;digez un synopsis qui montre \n      pourquoi cette histoire s&#8217;ins&#233;rerait bien dans la collection de&#160;<i>cet \n      &#233;diteur en particulier</i>. &#199;a demande du temps, c&#8217;est chiant, mais \n      &#231;a peut vous r&#233;compenser &#224; la fin.\n    </p>\n    <h2>\n      Une r&#233;flexion comme une autre\n    </h2>\n    <p>\n      Vous me direz&#160;: &#171;&#160;Oui, mais, Dominic, si ma lettre de pr&#233;sentation m&#8217;a \n      permis d&#8217;atteindre le comit&#233; de lecture, ma lettre m&#8217;aura&#160;<i>aid&#233;!</i>&#160;&#187;\n    </p>\n    <p>\n      Bien s&#251;r.\n    </p>\n    <p>\n      Quand je dis qu&#8217;une lettre de pr&#233;sentation ou un synopsis peuvent \n      seulement vous nuire, c&#8217;est surtout pour que vous vous rentriez cette \n      id&#233;e dans la t&#234;te, lors de votre r&#233;daction. Soyez prudent. Consid&#233;rez \n      ces deux papiers comme des tra&#238;tres qui peuvent vous pi&#233;ger.\n    </p>\n    <ul>\n      <li>\n        Une&#160;bonne lettre&#160;fera passer votre manuscrit.\n      </li>\n      <li>\n        Une&#160;lettre ordinaire&#160;fera passer votre manuscrit.\n      </li>\n      <li>\n        Une&#160;mauvaise lettre&#160;emp&#234;chera votre manuscrit de passer.\n      </li>\n    </ul>\n    <p>\n      Le produit qui vous fera honneur, apr&#232;s tout, c&#8217;est votre manuscrit. \n      Arrangez-vous pour qu&#8217;il se rendre le plus loin possible.\n    </p>\n    <h2>\n      En bref\n    </h2>\n    <p>\n      Ce qui est important, d&#8217;abord et avant tout, c&#8217;est d&#8217;aller v&#233;rifier sur \n      le site Web de l&#8217;&#233;diteur vis&#233;. Souvent, dans une section intitul&#233;e \n      &#171;&#160;Manuscrits&#160;&#187;, on vous dira ce qui est n&#233;cessaire de joindre &#224; votre \n      envoi (ex.&#160;: &#171;&#160;Une lettre de pr&#233;sentation de 15 lignes&#160;&#187; ou &#171;&#160;Un r&#233;sum&#233; \n      d&#8217;une page&#160;&#187;, etc.).\n    </p>\n    <p>\n      Ayez toujours en t&#234;te que vous vous adressez &#224; un &#233;diteur en \n      particulier, et non &#224;&#160;<i>tous</i>&#160;les &#233;diteurs.\n    </p>\n    <p>\n      Vos documents &#233;tant pr&#234;ts, il est temps de proc&#233;der &#224;&#160;<a href=\"https://www.dominicbellavance.com/la-presentation-materielle-de-votre-manuscrit-et-son-expedition/\">l&#8217;impression \n      et &#224; l&#8217;exp&#233;dition de votre manuscrit</a>.\n    </p>\n    <p>\n      <b>Vous voulez apprendre les meilleurs trucs pour soumettre un manuscrit \n      litt&#233;raire?</b>\n    </p>\n    <p>\n      Pour faire bonne impression aupr&#232;s des &#233;diteurs et augmenter vos chances \n      de r&#233;ussite, lisez mon livre&#160;<a href=\"https://www.dominicbellavance.com/mes-romans/presentez-votre-manuscrit-litteraire/\">Pr&#233;sentez \n      votre manuscrit litt&#233;raire comme un pro en 5 &#233;tapes</a>. Avec \n      ses 80 pages de conseils et d''exemples, vous apprendrez comment \n      concevoir une mise en page impeccable tout en &#233;vitant les pires gaffes. \n      Vous y trouverez aussi des trucs pour &#233;conomiser temps et argent, ainsi \n      que pour bien choisir vos &#233;diteurs.&#160;<a href=\"https://www.dominicbellavance.com/mes-romans/presentez-votre-manuscrit-litteraire/\">Cliquez \n      ici</a>&#160;pour le lire d&#232;s aujourd&#8217;hui!\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '/home/bernard/Desktop/tmpbureau_lenovo/explication lettre presenation.odt', NULL);        
INSERT INTO "PUBLIC"."SCENE" VALUES
(24, '2021-11-18 17:44:15', '2021-11-19 19:37:27', STRINGDECODE('\"Fichier externe\" et \"Lancer l''\u00e9diteur externe\"'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 24, NULL, STRINGDECODE('\"Fichier externe\" et \"Lancer l''\u00e9diteur externe\"'), STRINGDECODE('<p>\n      En r&#233;fl&#233;chissant un peu plus, je crois que<b> &quot;Fichier externe&quot;</b> \n      et &quot;<b>Lancer l''&#233;diteur externe</b>&quot; pr&#234;tent &#224; confusion. ( \n      enfin, chez moi !)\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Le <b>premier</b> sert &#224; l''importation de document dans une nouvelle \n      sc&#232;ne. Cela fonctionne tr&#232;s bien. Attention, l''importation &#233;crasera le \n      texte existant, il est donc pr&#233;f&#233;rable de cr&#233;er une nouvelle sc&#232;ne.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Le bouton <b>&quot;Utiliser le nom par d&#233;faut&quot;</b> est inutile \n      dans ce cas car cela renvoie &#224; un document existant caract&#233;ris&#233; par un \n      nom.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Quant &#224; <b>&quot;Lancer l''&#233;diteur externe</b>&quot;, la fonction ne \n      g&#233;n&#232;re pour l''instant que l''exportation du mod&#232;le d&#233;fini dans les \n      propri&#233;t&#233;s du fichier - &#201;diteur externe.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Je pense que ce n''est qu''une question de &quot;r&#233;glage&quot; et ce serait la \n      m&#233;thode la plus ergonomique. ( celle que j''ai utilis&#233;e fonctionne tr&#232;s \n      bien au demeurant mais demande d''&#234;tre initi&#233; ! Pourrait-on imaginer que \n      cette seconde fonction cr&#233;e une exportation en attribuant par d&#233;faut le \n      nom de la sc&#232;ne plut&#244;t que le num&#233;ro ? L''auteur peut &#234;tre amen&#233; &#224; \n      d&#233;placer une sc&#232;ne, le rep&#233;rage &#224; partir du nom serait plus facile.\n    </p>'), 4, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(26, '2021-11-19 13:44:43', '2021-11-19 19:37:15', 'Importation -Exportation ', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 4, 1, 26, NULL, 'Importation -Exportation ', STRINGDECODE('<p>\n      Je pense qu''il faudrait se s&#233;parer l''importation et l''exportation de \n      sc&#232;nes et de documents . L''importation de Seine et de document devrait \n      peut-&#234;tre appara&#238;tre dans outils ou bien &#233;dition point &#224; la ligne\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      En ce qui concerne <b>l''importation</b> et <b>l''exportation</b> de \n      sc&#232;nes, je pense qu''il faudrait que les termes importation-exportation \n      soit bien visibles\n    </p>\n    <p>\n      Pour <b>l''importation</b> de sc&#232;nes, il faudrait que le bouton \n      importation ouvre une fen&#234;tre qui permet de s&#233;lectionner le document &#224; \n      importer\n    </p>\n    <p>\n      Si une sc&#232;ne est d&#233;j&#224; pr&#233;sente, l''importation serait impossible ou alors \n      un message afficherait un message : &#171; l''importation va effacer le \n      document actuel &#187;\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Pour le bouton <b>exportation</b>, le chemin par d&#233;faut est celui du \n      r&#233;pertoire de travail et le nom par d&#233;faut sur le nom de la sc&#232;ne. \n      Attention cependant si l''intitul&#233; est trop long, il risque de pas &#234;tre \n      reconnu.\n    </p>\n    <p>\n      Le bouton <b>exportation</b> ouvrirait une fen&#234;tre vers le dossier par \n      d&#233;faut ce qui permettrait de modifier le lieu de l''enregistrement ainsi \n      que le nom du document.\n    </p>'), 2, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(27, '2021-11-19 13:46:42', '2021-11-20 11:09:42', STRINGDECODE('Import-export : \u00e9tat des lieux '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 4, 1, 27, TIMESTAMP '2021-11-19 14:00:00.048', STRINGDECODE('Import-export : \u00e9tat des lieux '), STRINGDECODE('<h1>\n      Etat des lieux des fonctions Importation - Exportation\n    </h1>\n    <p>\n      \n    </p>\n    <p>\n      Voici un &#233;tat des lieux - s&#251;rement incomplet - des fonctions \n      &quot;Importation&quot; et &quot;Exportation&quot; car elles apparaissent &#224; plusieurs \n      endroits, ce qui en soi n''est pas probl&#232;me. Par contre, il doit y avoir \n      une certaine coh&#233;rence et logique, selon moi.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      <font size=\"5\"><em>Menu - Fichier</em></font>\n    </p>\n    <h2>\n      Importer\n    </h2>\n    <p>\n      Cette fonction importe un projet existant au format .osbk ou \n      anciennement XXX\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Importer un document\n    </h2>\n    <p>\n      Il s''agit d''un fichier texte qui sera converti en nouveau projet.\n    </p>\n    <p>\n      Test&#233; avec un document ( .odt) comprenant 15 000 mots. D&#233;coupage \n      automatique en sc&#232;nes car les styles avaient &#233;t&#233; utilis&#233;s pour la mise \n      en forme du document.\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Exportation\n    </h2>\n    <h2>\n      Livre\n    </h2>\n    <ul>\n      <li>\n        au format html\n      </li>\n    </ul>\n    <p>\n      Il est possible de s&#233;lectionner les options. Pertinence du choix ouvert \n      du format alors qu''on a s&#233;lectionn&#233; le format .html ?\n    </p>\n    <ul>\n      <li>\n        au format .epub\n      </li>\n    </ul>\n    <p>\n      Ne fonctionne pas\n    </p>\n    <ul>\n      <li>\n        au format .docx (Word)\n      </li>\n    </ul>\n    <ul>\n      <li>\n        au format .odt (Writer)\n      </li>\n      <li>\n        au format .txt\n      </li>\n    </ul>\n    <p>\n      \n    </p>\n    <p>\n      Proposition : cr&#233;er le format .pdf ?\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Base de donn&#233;es\n    </h2>\n    <p>\n      Fonctionne\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Autres formats\n    </h2>\n    <p>\n      Pas test&#233;\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Options\n    </h2>\n    <h3>\n      Options d''export\n    </h3>\n    <p>\n      Ne fonctionne pas (impossible d''obtenir une exportation par chapitres ou \n      par sc&#232;nes m&#234;me si l''option est s&#233;lectionn&#233;e.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <p>\n      <em><font size=\"5\">Menu - Editer</font></em>\n    </p>\n    <h2>\n      Copier des &#233;l&#233;ments\n    </h2>\n    <h3>\n      Copier vers le projet\n    </h3>\n    <h3>\n      \n    </h3>\n    <p>\n      On peut l''assimuler &#224; une exportation m&#234;me s''il ne s''agit que d''une \n      copie. ( les deux projets doivent &#234;tre ouverts). Cela ne concerne que \n      quelques &#233;l&#233;ments r&#233;currents (personnages, lieux,etc)\n    </p>\n    <p align=\"center\">\n      \n    </p>\n    <p align=\"center\">\n      &amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;\n    </p>\n    <h2>\n      Vue Sc&#232;nes\n    </h2>\n    <p>\n      Le bouton ic&#244;ne &quot;<b>Ouvrir LibreOffice</b>&quot; est inop&#233;rant.\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Editeur de Sc&#232;nes\n    </h2>\n    <h3>\n      &quot;Fichier externe&quot;\n    </h3>\n    <p>\n      \n    </p>\n    <p>\n      Il s''agit <b>d''importer</b> un document externe dans une nouvelle sc&#232;ne. \n      Cela fonctionne tr&#232;s bien. Attention, l''importation <b>&#233;crasera</b> \n      le texte existant, il est donc pr&#233;f&#233;rable de cr&#233;er une nouvelle sc&#232;ne \n      avant de lancer le processus d''importation.\n    </p>\n    <p>\n      \n    </p>\n    <h3>\n      &quot;Lancer l''&#233;diteur externe&quot;\n    </h3>\n    <p>\n      La commande est activ&#233;e lorsqu''un fichier externe a &#233;t&#233; cr&#233;&#233;. Pour \n      l''instant, l''exportation ne fonctionne pas correctement puisqu''elle \n      affiche le mod&#232;le d&#233;fini dans les propri&#233;t&#233;s du fichier ( Editeur \n      externe) et non pas la sc&#232;ne.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Une possibilit&#233; existe cependant pour exporter une sc&#232;ne. Il suffit de \n      cliquer sur le bouton <b>&quot;Enregistrer en HTML</b>&quot; situ&#233; de la \n      barre d''outils de l''&#233;diteur de texte.\n    </p>\n    <p>\n      Remarque : le bouton d''enregistrement permet d''enregistrer aux formats \n      .odt, .docx et.html.\n    </p>'), 2, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL);             
INSERT INTO "PUBLIC"."SCENE" VALUES
(28, '2021-11-20 08:25:39', '2021-11-20 08:38:58', STRINGDECODE('Enregistrement - propri\u00e9t\u00e9s du fichier'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 12, 1, 28, TIMESTAMP '2021-11-20 08:30:00.199', STRINGDECODE('Enregistrement - propri\u00e9t\u00e9s du fichier'), STRINGDECODE('<p>\n      Dans propri&#233;t&#233;s du fichier - Mise en page du livre.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      L''enregistrement des modications dure tr&#232;s longtemps, pr&#232;s d''une minute \n      et bloque l''acc&#232;s au programme.\n    </p>\n    <p>\n      &#160;   &#160;\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(29, '2021-11-20 08:39:44', '2021-11-20 11:09:13', 'Mise en page du livre', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 12, 1, 29, TIMESTAMP '2021-11-20 09:00:00.006', 'Mise en page du livre', STRINGDECODE('<p>\n      L''acc&#232;s &#224; la mise en page du livre peut se faire de deux fa&#231;ons :\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      - Fichier - Propri&#233;tes du fichier - Mise en forme du livre\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      - Editer - Pr&#233;f&#233;rences - Mise en forme du livre\n    </p>\n    <p>\n      Les modifications effectu&#233;es par l''acc&#232;s Editer ne sont pas enregistr&#233;es.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      <img src=\"file:///home/bernard/apps/ostory_05alpha/Proprietes_du_fichier.png\" width=\"577\" height=\"523\">\n      <img src=\"file:///home/bernard/apps/ostory_05alpha/pr\u00e9f\u00e9rences.png\" width=\"596\" height=\"532\">\n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL),
(30, '2021-11-20 09:38:43', '2021-11-20 09:46:49', STRINGDECODE('Vue Sc\u00e8nes - Tri '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 13, 1, 30, TIMESTAMP '2021-11-20 09:00:00.416', STRINGDECODE('Vue Sc\u00e8nes - Tri '), STRINGDECODE('<p>\n      Le tri par date ne fonctionne pas.\n    </p>\n    <p>\n      &#160;&#160;<img src=\"file:///home/bernard/apps/ostory_05alpha/tri_dates-scenes.png\" width=\"761\" height=\"253\">&#160;\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(31, '2021-11-20 09:58:30', '2021-11-20 10:13:07', 'essai import', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 4, 1, 31, TIMESTAMP '2021-11-20 10:00:00.711', 'essai import', STRINGDECODE('<h1>\n      Etat des lieux des fonctions Importation - Exportation\n    </h1>\n    <p>\n      \n    </p>\n    <p>\n      Voici un &#233;tat des lieux - s&#251;rement incomplet - des fonctions \n      &quot;Importation&quot; et &quot;Exportation&quot; car elles apparaissent &#224; plusieurs \n      endroits, ce qui en soi n''est pas probl&#232;me. Par contre, il doit y avoir \n      une certaine coh&#233;rence et logique, selon moi.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Importer\n    </h2>\n    <p>\n      Cette fonction importe un projet existant au format .osbk ou \n      anciennement XXX\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Importer un document\n    </h2>\n    <p>\n      Il s''agit d''un fichier texte qui sera converti en nouveau projet.\n    </p>\n    <p>\n      Test&#233; avec un document ( .odt) comprenant 15 000 mots. D&#233;coupage \n      automatique en sc&#232;nes car les styles avaient &#233;t&#233; utilis&#233;s pour la mise \n      en forme du document.\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Exportation\n    </h2>\n    <h2>\n      Livre\n    </h2>\n    <ul>\n      <li>\n        au format html\n      </li>\n    </ul>\n    <p>\n      Il est possible de s&#233;lectionner les options. Pertinence du choix ouvert \n      du format alors qu''on a s&#233;lectionn&#233; le format .html ?\n    </p>\n    <ul>\n      <li>\n        au format .epub\n      </li>\n    </ul>\n    <p>\n      Ne fonctionne pas\n    </p>\n    <ul>\n      <li>\n        au format .docx (Word)\n      </li>\n    </ul>\n    <ul>\n      <li>\n        au format .odt (Writer)\n      </li>\n      <li>\n        au format .txt\n      </li>\n    </ul>\n    <p>\n      \n    </p>\n    <p>\n      Proposition : cr&#233;er le format .pdf ?\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Base de donn&#233;es\n    </h2>\n    <p>\n      Fonctionne\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Autres formats\n    </h2>\n    <p>\n      Pas test&#233;\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Options\n    </h2>\n    <h3>\n      Options d''export\n    </h3>\n    <p>\n      Ne fonctionne pas (impossible d''obtenir une exportation par chapitres ou \n      par sc&#232;nes m&#234;me si l''option est s&#233;lectionn&#233;e.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Copier des &#233;l&#233;ments\n    </h2>\n    <h3>\n      Copier vers le projet\n    </h3>\n    <h3>\n      \n    </h3>\n    <p>\n      On peut l''assimuler &#224; une exportation m&#234;me s''il ne s''agit que d''une \n      copie. ( les deux projets doivent &#234;tre ouverts). Cela ne concerne que \n      quelques &#233;l&#233;ments r&#233;currents (personnages, lieux,etc)\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      &amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;\n    </p>\n    <h2>\n      Vue Sc&#232;nes\n    </h2>\n    <p>\n      Le bouton ic&#244;ne &quot;Ouvrir LibreOffice&quot; est inop&#233;rant.\n    </p>\n    <p>\n      \n    </p>\n    <h2>\n      Editeur de Sc&#232;nes\n    </h2>\n    <h3>\n      &quot;Fichier externe&quot;\n    </h3>\n    <p>\n      \n    </p>\n    <p>\n      Il s''agitd''importerun document externe dans une nouvelle sc&#232;ne. Cela \n      fonctionne tr&#232;s bien. Attention, l''importation&#233;craserale texte existant, \n      il est donc pr&#233;f&#233;rable de cr&#233;er une nouvelle sc&#232;ne avant de lancer le \n      processus d''importation.\n    </p>\n    <p>\n      \n    </p>\n    <h3>\n      &quot;Lancer l''&#233;diteur externe&quot;\n    </h3>\n    <p>\n      La commande est activ&#233;e lorsqu''un fichier externe a &#233;t&#233; cr&#233;&#233;. Pour \n      l''instant, l''exportation ne fonctionne pas correctement puisqu''elle \n      affiche le mod&#232;le d&#233;fini dans les propri&#233;t&#233;s du fichier ( Editeur \n      externe) et non pas la sc&#232;ne.\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Une possibilit&#233; existe cependant pour exporter une sc&#232;ne. Il suffit de \n      cliquer sur le bouton&quot;Enregistrer en HTML&quot; situ&#233; de la barre d''outils de \n      l''&#233;diteur de texte.\n    </p>\n    <p>\n      Remarque : le bouton d''enregistrement permet d''enregistrer aux formats \n      .odt, .docx et.html.\n    </p>\n    <p>\n      \n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '/home/bernard/ostorybook/export_tests/import_export.odt', NULL);         
INSERT INTO "PUBLIC"."SCENE" VALUES
(32, '2021-11-20 10:12:47', '2021-11-20 10:12:47', 'import2', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 11, 1, 32, TIMESTAMP '2021-11-20 00:00:00.282', 'import2', STRINGDECODE('<p>\n      Attach&#233;e principale, St&#233;phanie Doyen a pris la succession de Marc \n      Th&#233;venot &#224; la Direction g&#233;n&#233;rale des services (DGS) de la ville de Brou \n      depuis le 18 mai.\n    </p>\n    <p>\n      Cette maman de deux gar&#231;ons est &#226;g&#233;e de 37 ans. Elle habite Miermaigne \n      depuis 2012 o&#249; elle restaure une ancienne ferme avec son compagnon.\n    </p>\n    <p>\n      Son objectif est &#171; de tout mettre en &#339;uvre pour &#234;tre &#224; la hauteur de mon \n      pr&#233;d&#233;cesseur &#187;.\n    </p>\n    <p>\n      La DGS met en action la politique des &#233;lus et veille au bon \n      fonctionnement des services. &#171; Le poste, souligne St&#233;phanie Doyen, est \n      passionnant car il est tr&#232;s riche et vari&#233;. Il y a un vrai travail de \n      terrain. &#187;\n    </p>\n    <p>\n      Historienne\n    </p>\n    <p>\n      Cette Eur&#233;lienne, originaire de Saint Piat, a effectu&#233; sa scolarit&#233; au \n      coll&#232;ge Marceau &#224; Maintenon, au lyc&#233;e Marceau &#224; Chartres puis elle est \n      entr&#233;e en hypocagne au lyc&#233;e Lamartine dans le 9 e arrondissement &#224; \n      Paris. Elle a int&#233;gr&#233; la Sorbonne et pass&#233; une ma&#238;trise et une licence \n      d''histoire et de g&#233;ographie.\n    </p>\n    <p>\n      &#171; J''ai &#233;t&#233; recrut&#233;e comme archiviste, historienne &#224; la commission \n      d''indemnisation des victimes de spoliation pendant la Seconde Guerre \n      mondiale, cr&#233;&#233;e par Lionel Jospin, alors Premier ministre de Jacques \n      Chirac. Il avait d&#233;cid&#233; l''imprescriptibilit&#233; des crimes commis par \n      l''&#201;tat fran&#231;ais pendant cette guerre. J''y suis rest&#233;e trois ans &#187;, \n      d&#233;voile St&#233;phanie Doyen.\n    </p>\n    <p>\n      Elle a ensuite pass&#233; le concours d''attach&#233;e dans les services du Premier \n      ministre et int&#233;gr&#233; le bureau de la commande publique. &#171; J''ai pu c&#244;toyer \n      cinq Premiers ministres : Jean-Pierre Raffarin, Dominique de Villepin, \n      Fran&#231;ois Fillon, Jean-Marc Ayrault et Manuel Valls. &#187;\n    </p>\n    <p>\n      Elle a c&#244;toy&#233; cinq Premiers ministres\n    </p>\n    <p>\n      Ayant besoin de voir d''autres horizons, elle est partie assurer le poste \n      de directrice des services g&#233;n&#233;raux &#224; Saint-Pierre-de -Quiberon \n      (Morbihan).\n    </p>\n    <p>\n      De retour &#224; Paris dans les services du Premier ministre, elle a &#233;t&#233; \n      charg&#233;e de mission, adjointe au secr&#233;tariat g&#233;n&#233;ral du gouvernement. \n      Elle a assur&#233;, un an, la coordination des achats puis, durant trois ans, \n      eu la responsabilit&#233; du parc automobile des directions d&#233;partementales \n      interminist&#233;rielles.\n    </p>\n    <p>\n      &#171; J''ai ensuite postul&#233; pour le poste de DGS &#224; la mairie de Brou. J''ai \n      une vie professionnelle tr&#232;s riche et, maintenant, plus de temps &#224; \n      consacrer &#224; ma famille. &#187;\n    </p>\n    <p>\n      \n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/coetquen/St\u00e9phanie Doyen.odt'), NULL),
(33, '2021-11-20 11:11:22', '2021-11-20 11:26:21', STRINGDECODE('import-export de sc\u00e8ne'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 21, TIMESTAMP '2021-11-18 00:00:00.71', STRINGDECODE('import-export de sc\u00e8ne'), STRINGDECODE('<h4>\n      Exportation - importation\n    </h4>\n    <p align=\"left\">\n      \n    </p>\n    <p>\n      J''ai activ&#233; l''ic&#244;ne &quot;Utiliser le fichier externe&quot; de &quot;Fichier externe&quot;. \n      Le nom est g&#233;n&#233;r&#233; automatiquement et le fichier est cr&#233;&#233; dans le \n      r&#233;pertoire de travail uniquement apr&#232;s avoir appuy&#233; sur &quot;LibreOffice&quot;. \n      Le programme se lance et ouvre un fichier vide, ce qui semble logique. \n      En effet, il s''agit d''importer un document. On ne peut donc pas importer \n      de fichier par la cr&#233;ation automatique d''un fichier.\n    </p>\n    <p>\n      <img src=\"file:///home/bernard/apps/ostory_05alpha/import_scene.png\" width=\"969\" height=\"513\">\n      \n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Je pensais que le nom g&#233;n&#233;r&#233; automatiquement servirait &#224; l''exportation \n      de la sc&#232;ne, ce qui semblerait plus logique .\n    </p>\n    <p>\n      Le bouton &quot;LibreOffice&quot;&quot; lance le programme ( bouton &quot;haut&quot; ou &quot;bas&quot;). \n      La question que je me pose est la suivante : comment faire pour exporter \n      facilement une sc&#232;ne existante. (pour l''importation, cela semble plus \n      simple mais encore trop peu peu intuitif)\n    </p>\n    <p>\n      Plus g&#233;n&#233;ralement, pourrait-on envisager les deux cas de figure \n      intitul&#233;s &quot;Importation d''un document&quot; et &quot;Exportation de la sc&#232;ne &quot; sous \n      une pr&#233;sentation assez sym&#233;trique qui faciliterait la compr&#233;hension et \n      l''utilisation. J''avoue que je n''ai pas d''id&#233;e pr&#233;cise de la forme que \n      cela pourrait prendre. Bien s&#251;r, je n''ignore pas que tout logiciel \n      demande un minimum d''apprentissage mais, dans le cas pr&#233;sent, c''est par \n      moment assez d&#233;routant.\n    </p>'), 1, '', NULL, '', -1, FALSE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Import-exportDeSc\u00e8ne.odt'), NULL);     
INSERT INTO "PUBLIC"."SCENE" VALUES
(34, '2021-11-20 11:13:51', '2021-11-20 11:14:25', 'stabilo', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 33, TIMESTAMP '2021-11-20 00:00:00.151', 'stabilo', STRINGDECODE('<p>\n      \n    </p>\n    <p>\n      L''exportation d''une sc&#232;ne ne fait pas appara&#238;tre les mots surlign&#233;s au \n      stabilo bien que l''option ait &#233;t&#233; valid&#233;e (exportation parfaite \n      uniquement dans Exporter - Livre - Html). Il semble que cela ne \n      fonctionne pas pour l''exportation d''une sc&#232;ne ( les caract&#232;res surlign&#233;s \n      sont en italique dans le fichier export&#233;). C''est peut-&#234;tre d&#251; au fait \n      que les options ne sont pas propos&#233;es ou &#224; une erreur.\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);
CREATE CACHED TABLE "PUBLIC"."STATUS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ICONE" VARCHAR(256)
);       
ALTER TABLE "PUBLIC"."STATUS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE "PUBLIC"."STRAND"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ABBREVIATION" VARCHAR(256),
    "COLOR" INTEGER,
    "SORT" INTEGER
);       
ALTER TABLE "PUBLIC"."STRAND" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_926" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO "PUBLIC"."STRAND" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1),
(2, '2021-11-13 23:07:18', '2021-11-13 23:07:19', 'bug', STRINGDECODE('<p>\n      bug\n    </p>'), '', '', 'bug', -16777216, 2);   
CREATE CACHED TABLE "PUBLIC"."TAG"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);          
ALTER TABLE "PUBLIC"."TAG" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");           
-- 4 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
INSERT INTO "PUBLIC"."TAG" VALUES
(1, 20, '2021-11-17 09:34:33', '2021-11-17 09:34:34', 'bbbbbb', '', STRINGDECODE('<p>\n      nnnnnnnnnn\n    </p>'), '', ''),
(2, 20, '2021-11-17 09:34:47', '2021-11-17 09:35:13', 'iiiiiiiii', '', STRINGDECODE('<p>\n      iiiiiiiiii\n    </p>'), '', ''),
(3, 1, '2021-11-17 09:38:08', '2021-11-17 09:38:11', 'bague', STRINGDECODE('<p>\n      cccc\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), ''),
(4, 1, '2021-11-17 09:38:18', '2021-11-17 09:38:20', 'ffffffffff', STRINGDECODE('<p>\n      ffffff\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '');
CREATE CACHED TABLE "PUBLIC"."TAG_LINK"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT,
    "CHARACTER_ID" BIGINT,
    "LOCATION_ID" BIGINT,
    "TAG_ID" BIGINT
);
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE "PUBLIC"."TIMEEVENT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "EVENT_TS" TIMESTAMP,
    "DURATION" VARCHAR(255),
    "TIME_STEP" INTEGER,
    "CATEGORY" VARCHAR(255),
    "COLOR" INTEGER
);  
ALTER TABLE "PUBLIC"."TIMEEVENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");    
-- 3 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
INSERT INTO "PUBLIC"."TIMEEVENT" VALUES
(1, '2021-11-16 21:45:28', '2021-11-16 21:45:30', 'Panne de train ', '', STRINGDECODE('<p>\n      Panne de train \n    </p>'), '', 'Panne de train ', TIMESTAMP '1970-01-01 01:00:00', '00-00-00_00:00:00', 0, 'incident', -16777216),
(2, '2021-11-16 21:45:55', '2021-11-16 21:45:56', STRINGDECODE('Grande mar\u00e9e'), '', STRINGDECODE('<p>\n      Grande mar&#233;e\n    </p>'), '', STRINGDECODE('Grande mar\u00e9e'), TIMESTAMP '1970-01-01 01:00:00', '00-00-00_00:00:00', 0, 'exception', -16777216),
(3, '2021-11-18 09:47:28', '2021-11-18 09:47:29', 'chute', '', STRINGDECODE('<p>\n      chute\n    </p>'), '', 'chute', TIMESTAMP '1970-01-01 01:00:00', '00-00-00_00:00:00', 0, 'incident', -16777216);              
CREATE CACHED TABLE "PUBLIC"."PERSON_ATTRIBUTE"(
    "PERSON_ID" BIGINT NOT NULL,
    "ATTRIBUTE_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE "PUBLIC"."PERSON_CATEGORIES"(
    "PERSON_ID" BIGINT NOT NULL,
    "CATEGORY_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_ITEMS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_PERSONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE "PUBLIC"."SCENE_ITEM"(
    "SCENE_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE "PUBLIC"."SCENE_LOCATION"(
    "SCENE_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."SCENE_PERSON"(
    "SCENE_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE "PUBLIC"."SCENE_PLOT"(
    "SCENE_ID" BIGINT NOT NULL,
    "PLOT_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE "PUBLIC"."SCENE_STRAND"(
    "SCENE_ID" BIGINT NOT NULL,
    "STRAND_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB562174C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."FK31A8ACFE18A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C37380422" FOREIGN KEY("NARRATOR_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FA8B82A3E" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F558C3830D6" FOREIGN KEY("GENDER_ID") REFERENCES "PUBLIC"."GENDER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F36DA5802" FOREIGN KEY("CHARACTER_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E65A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB11979E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A68BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B5437ECF" FOREIGN KEY("PERSON1_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F948B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F094618A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696084C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."FKCB0ADF2D5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B543F32E" FOREIGN KEY("PERSON2_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B45A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."FK9FF58FB54C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB1195A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F4C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E648B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A685A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F0946BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F5518A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB5621753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696085A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."FK56D8082D9B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B4ADF1FBD6" FOREIGN KEY("PLOT_ID") REFERENCES "PUBLIC"."PLOT"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F953C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F961090AF" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32490A0FFE" FOREIGN KEY("ATTRIBUTE_ID") REFERENCES "PUBLIC"."ATTRIBUTE"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."FK255BF39B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;        
